DOM::MediaList Class Reference

`#include <css_stylesheet.h>`

## Public Member Functions

| MediaList (const MediaList &other)
| MediaList (MediaListImpl *impl)
MediaList & | operator= (const MediaList &other)
DOM::DOMString | mediaText () const
void | setMediaText (const DOM::DOMString &value)
unsigned long | length () const
DOM::DOMString | item (unsigned long index) const
void | deleteMedium (const DOM::DOMString &oldMedium)
void | appendMedium (const DOM::DOMString &newMedium)
MediaListImpl * | handle () const
bool | isNull () const

## Protected Attributes

MediaListImpl * | impl

## Detailed Description

The `MediaList` interface provides the abstraction of an ordered collection of media, without defining or constraining how this collection is implemented.

All media are lowercase strings.

Definition at line 363 of file css_stylesheet.h.

## Member Function Documentation

void MediaList::appendMedium | ( | const DOM::DOMString & | newMedium | ) |

Adds the medium newMedium to the end of the list.

If the newMedium is already used, it is first removed.

Parameters

  newMedium | The new medium to add.

Exceptions

  DOMException | INVALID_CHARACTER_ERR: If the medium contains characters that are invalid in the underlying style language.

NO_MODIFICATION_ALLOWED_ERR: Raised if this list is readonly.

Definition at line 322 of file css_stylesheet.cpp.

void MediaList::deleteMedium | ( | const DOM::DOMString & | oldMedium | ) |

Deletes the medium indicated by oldMedium from the list.

Parameters

  oldMedium | The medium to delete in the media list.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this list is readonly.

NOT_FOUND_ERR: Raised if oldMedium is not in the list.

Definition at line 316 of file css_stylesheet.cpp.

DOM::DOMString MediaList::item | ( | unsigned long | index | ) | const

Returns the indexth in the list.

If index is greater than or equal to the number of media in the list, this returns null.

Parameters

  index | Index into the collection.

Returns
  The medium at the indexth position in the MediaList, or null if that is not a valid index.

Definition at line 310 of file css_stylesheet.cpp.

unsigned long MediaList::length | ( |  | ) | const

The number of media in the list.

The range of valid media is 0 to length-1 inclusive.

Definition at line 304 of file css_stylesheet.cpp.

DOM::DOMString MediaList::mediaText | ( |  | ) | const

The parsable textual representation of the media list.

This is a comma-separated list of media.

Exceptions

  DOMException | SYNTAX_ERR: Raised if the specified string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this media list is readonly.

Definition at line 292 of file css_stylesheet.cpp.

void MediaList::setMediaText | ( | const DOM::DOMString & | value | ) |

see mediaText

Definition at line 298 of file css_stylesheet.cpp.

The documentation for this class was generated from the following files:

- css_stylesheet.h
- css_stylesheet.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys